# This file is a template, and might need editing before it works on your project.
# Full project: https://gitlab.com/pages/plain-html
pages:
  variables:
    EXPORT_PAGES_DIR: "/opt/tomcat9/webapps/ROOT/"
  stage: deploy
  script:
  - echo $EXPORT_PAGES_DIR
  - mkdir .public
  - cp -r css .public
  - cp -r images .public
  - cp -r js .public
  - cp -r includes .public
  - cp index.php .public
  - cp index.html .public
  - mv .public public
  - cp -r public/* "$EXPORT_PAGES_DIR"
  artifacts:
    paths:
    - public
  only:
  - master

